Bug 840187 - tmpfiles configuration file in wrong directory
tmpfiles configuration file in wrong directory
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jes Sorensen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-14 03:42 EDT by Eric Smith
Modified: 2012-08-10 18:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-10 18:29:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Smith 2012-07-14 03:42:09 EDT
Description of problem:

This package installs a configuration file in /etc/tmpfiles.d which actually belongs in the %{_prefix}/lib/tmpfiles.d directory.  Putting a configuration file in /etc/tmpfiles.d is a violation of the Fedora tmpfiles packaging guidelines and contrary to the intent of /etc/tmpfiles.d to be used by local administrators to override default policy in /usr/lib/tmpfiles.d as documented in the tmpfiles.d(5) man page.

The Fedora Tmpfiles.d packaging guidelines may be found at:
http://fedoraproject.org/wiki/Packaging:Tmpfiles.d
Comment 1 Fedora Update System 2012-07-26 03:18:41 EDT
mdadm-3.2.5-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-4.fc17
Comment 2 Fedora Update System 2012-07-26 03:19:41 EDT
mdadm-3.2.5-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mdadm-3.2.5-4.fc16
Comment 3 Fedora Update System 2012-07-26 18:25:49 EDT
Package mdadm-3.2.5-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mdadm-3.2.5-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11131/mdadm-3.2.5-4.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-08-10 18:29:50 EDT
mdadm-3.2.5-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-08-10 18:32:53 EDT
mdadm-3.2.5-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.